Package com.independentsoft.office.drawing

# Enum Class TextAutoNumberScheme

java.lang.Object
java.lang.Enum<TextAutoNumberScheme>
com.independentsoft.office.drawing.TextAutoNumberScheme

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAutoNumberScheme>`, `Constable`

public enum TextAutoNumberScheme extends Enum<TextAutoNumberScheme>
The Enum TextAutoNumberScheme.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALPHA_LOW_CASE_BOTH_PARENTHESES`
  `ALPHA_LOW_CASE_PERIOD`
  `ALPHA_LOW_CASE_RIGHT_PARENTHESIS`
  `ALPHA_UPPER_CASE_BOTH_PARENTHESES`
  `ALPHA_UPPER_CASE_PERIOD`
  `ALPHA_UPPER_CASE_RIGHT_PARENTHESIS`
  `ARABIC_1_MINUS`
  `ARABIC_2_MINUS`
  `ARABIC_BOTH_PARENTHESES`
  `ARABIC_DOUBLE_BYTE_PERIOD`
  `ARABIC_DOUBLE_BYTE_PLAIN`
  `ARABIC_PERIOD`
  `ARABIC_PLAIN`
  `ARABIC_RIGHT_PARENTHESIS`
  `CIRCLE_DOUBLE_BYTE_PLAIN`
  `CIRCLE_WINGDINGS_BLACK_PLAIN`
  `CIRCLE_WINGDINGS_WHITE_PLAIN`
  `HEBREW_2_MINUS`
  `HINDI_ALPHA_1_PERIOD`
  `HINDI_ALPHA_PERIOD`
  `HINDI_NUMERICAL_PERIOD`
  `HINDI_NUMERICAL_RIGHT_PARENTHESIS`
  `JAPANESE_DOUBLE_BYTE_PERIOD`
  `JAPANESE_KOREAN_PERIOD`
  `JAPANESE_KOREAN_PLAIN`
  `NONE`
  `ROMAN_LOW_CASE_BOTH_PARENTHESES`
  `ROMAN_LOW_CASE_PERIOD`
  `ROMAN_LOW_CASE_RIGHT_PARENTHESIS`
  `ROMAN_UPPER_CASE_BOTH_PARENTHESES`
  `ROMAN_UPPER_CASE_PERIOD`
  `ROMAN_UPPER_CASE_RIGHT_PARENTHESIS`
  `SIMPLIFIED_CHINESE_PERIOD`
  `SIMPLIFIED_CHINESE_PLAIN`
  `THAI_ALPHA_BOTH_PARENTHESES`
  `THAI_ALPHA_PERIOD`
  `THAI_ALPHA_RIGHT_PARENTHESIS`
  `THAI_NUMERICAL_BOTH_PARENTHESES`
  `THAI_NUMERICAL_PERIOD`
  `THAI_NUMERICAL_RIGHT_PARENTHESIS`
  `TRADITIONAL_CHINESE_PERIOD`
  `TRADITIONAL_CHINESE_PLAIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextAutoNumberScheme`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextAutoNumberScheme[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALPHA_LOW_CASE_BOTH_PARENTHESES

    public static final TextAutoNumberScheme ALPHA_LOW_CASE_BOTH_PARENTHESES

  - ### ALPHA_LOW_CASE_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme ALPHA_LOW_CASE_RIGHT_PARENTHESIS

  - ### ALPHA_LOW_CASE_PERIOD

    public static final TextAutoNumberScheme ALPHA_LOW_CASE_PERIOD

  - ### ALPHA_UPPER_CASE_BOTH_PARENTHESES

    public static final TextAutoNumberScheme ALPHA_UPPER_CASE_BOTH_PARENTHESES

  - ### ALPHA_UPPER_CASE_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme ALPHA_UPPER_CASE_RIGHT_PARENTHESIS

  - ### ALPHA_UPPER_CASE_PERIOD

    public static final TextAutoNumberScheme ALPHA_UPPER_CASE_PERIOD

  - ### ARABIC_1_MINUS

    public static final TextAutoNumberScheme ARABIC_1_MINUS

  - ### ARABIC_2_MINUS

    public static final TextAutoNumberScheme ARABIC_2_MINUS

  - ### ARABIC_DOUBLE_BYTE_PERIOD

    public static final TextAutoNumberScheme ARABIC_DOUBLE_BYTE_PERIOD

  - ### ARABIC_DOUBLE_BYTE_PLAIN

    public static final TextAutoNumberScheme ARABIC_DOUBLE_BYTE_PLAIN

  - ### ARABIC_BOTH_PARENTHESES

    public static final TextAutoNumberScheme ARABIC_BOTH_PARENTHESES

  - ### ARABIC_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme ARABIC_RIGHT_PARENTHESIS

  - ### ARABIC_PERIOD

    public static final TextAutoNumberScheme ARABIC_PERIOD

  - ### ARABIC_PLAIN

    public static final TextAutoNumberScheme ARABIC_PLAIN

  - ### CIRCLE_DOUBLE_BYTE_PLAIN

    public static final TextAutoNumberScheme CIRCLE_DOUBLE_BYTE_PLAIN

  - ### CIRCLE_WINGDINGS_BLACK_PLAIN

    public static final TextAutoNumberScheme CIRCLE_WINGDINGS_BLACK_PLAIN

  - ### CIRCLE_WINGDINGS_WHITE_PLAIN

    public static final TextAutoNumberScheme CIRCLE_WINGDINGS_WHITE_PLAIN

  - ### SIMPLIFIED_CHINESE_PERIOD

    public static final TextAutoNumberScheme SIMPLIFIED_CHINESE_PERIOD

  - ### SIMPLIFIED_CHINESE_PLAIN

    public static final TextAutoNumberScheme SIMPLIFIED_CHINESE_PLAIN

  - ### TRADITIONAL_CHINESE_PERIOD

    public static final TextAutoNumberScheme TRADITIONAL_CHINESE_PERIOD

  - ### TRADITIONAL_CHINESE_PLAIN

    public static final TextAutoNumberScheme TRADITIONAL_CHINESE_PLAIN

  - ### JAPANESE_DOUBLE_BYTE_PERIOD

    public static final TextAutoNumberScheme JAPANESE_DOUBLE_BYTE_PERIOD

  - ### JAPANESE_KOREAN_PERIOD

    public static final TextAutoNumberScheme JAPANESE_KOREAN_PERIOD

  - ### JAPANESE_KOREAN_PLAIN

    public static final TextAutoNumberScheme JAPANESE_KOREAN_PLAIN

  - ### HEBREW_2_MINUS

    public static final TextAutoNumberScheme HEBREW_2_MINUS

  - ### HINDI_ALPHA_1_PERIOD

    public static final TextAutoNumberScheme HINDI_ALPHA_1_PERIOD

  - ### HINDI_ALPHA_PERIOD

    public static final TextAutoNumberScheme HINDI_ALPHA_PERIOD

  - ### HINDI_NUMERICAL_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme HINDI_NUMERICAL_RIGHT_PARENTHESIS

  - ### HINDI_NUMERICAL_PERIOD

    public static final TextAutoNumberScheme HINDI_NUMERICAL_PERIOD

  - ### ROMAN_LOW_CASE_BOTH_PARENTHESES

    public static final TextAutoNumberScheme ROMAN_LOW_CASE_BOTH_PARENTHESES

  - ### ROMAN_LOW_CASE_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme ROMAN_LOW_CASE_RIGHT_PARENTHESIS

  - ### ROMAN_LOW_CASE_PERIOD

    public static final TextAutoNumberScheme ROMAN_LOW_CASE_PERIOD

  - ### ROMAN_UPPER_CASE_BOTH_PARENTHESES

    public static final TextAutoNumberScheme ROMAN_UPPER_CASE_BOTH_PARENTHESES

  - ### ROMAN_UPPER_CASE_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme ROMAN_UPPER_CASE_RIGHT_PARENTHESIS

  - ### ROMAN_UPPER_CASE_PERIOD

    public static final TextAutoNumberScheme ROMAN_UPPER_CASE_PERIOD

  - ### THAI_ALPHA_BOTH_PARENTHESES

    public static final TextAutoNumberScheme THAI_ALPHA_BOTH_PARENTHESES

  - ### THAI_ALPHA_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme THAI_ALPHA_RIGHT_PARENTHESIS

  - ### THAI_ALPHA_PERIOD

    public static final TextAutoNumberScheme THAI_ALPHA_PERIOD

  - ### THAI_NUMERICAL_BOTH_PARENTHESES

    public static final TextAutoNumberScheme THAI_NUMERICAL_BOTH_PARENTHESES

  - ### THAI_NUMERICAL_RIGHT_PARENTHESIS

    public static final TextAutoNumberScheme THAI_NUMERICAL_RIGHT_PARENTHESIS

  - ### THAI_NUMERICAL_PERIOD

    public static final TextAutoNumberScheme THAI_NUMERICAL_PERIOD

  - ### NONE

    public static final TextAutoNumberScheme NONE

- ## Method Details

  - ### values

    public static TextAutoNumberScheme[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextAutoNumberScheme valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null